org.apache.struts2.views.jsp

## Class StrutsBodyTagSupport

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.apache.struts2.views.jsp.StrutsBodyTagSupport

- All Implemented Interfaces:
    Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag
  Direct Known Subclasses:
    ComponentTagSupport, IteratorGeneratorTag, SortIteratorTag, SubsetIteratorTag

      public class StrutsBodyTagSupport
      extends javax.servlet.jsp.tagext.BodyTagSupport

  Contains common functonalities for Struts JSP Tags.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `bodyContent`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsBodyTagSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `findString(String expr)`
    `protected Object` | `findValue(String expr)`
    `protected Object` | `findValue(String expr, Class toType)`
    `protected String` | `getBody()`
    `protected ValueStack` | `getStack()`
    `protected String` | `toString(Throwable t)`

    - ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `doAfterBody, doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### StrutsBodyTagSupport

          public StrutsBodyTagSupport()

  - ### Method Detail

    - #### getStack

          protected ValueStack getStack()

    - #### findString

          protected String findString(String expr)

    - #### findValue

          protected Object findValue(String expr)

    - #### findValue

          protected Object findValue(String expr,
                                     Class toType)

    - #### toString

          protected String toString(Throwable t)

    - #### getBody

          protected String getBody()

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.